Send Verification Code
curl --request POST \
--url https://api.spherepay.co/v2/customer/{id}/otp-send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "email"
}
'import requests
url = "https://api.spherepay.co/v2/customer/{id}/otp-send"
payload = { "type": "email" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'email'})
};
fetch('https://api.spherepay.co/v2/customer/{id}/otp-send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customerId": "customer_f31121c389624d3697cbf3ea8830b7a4",
"expiresAt": "2026-03-09T20:46:31.305Z"
}{
"code": "address/invalid",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Invalid request parameters",
"status": 400
}{
"code": "resource/not-found",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Resource not found",
"status": 404
}{
"code": "validation/failed",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Validation failed",
"errors": [
{
"detail": "Invalid email format",
"pointer": "/email"
},
{
"detail": "Name is required",
"pointer": "/name"
}
],
"status": 422
}Documentos e Verificação
Enviar Código OTP para Verificação do Cliente
Send an OTP code to a customer’s contact information.
Send Verification Code
Envie uma senha de uso único (OTP) para o endereço de e-mail ou número de telefone registrado de um cliente como parte da verificação de contato durante o fluxo KYC. Após o envio do código, solicite que o cliente o insira e, em seguida, chame o endpoint Verificar Código OTP para confirmar o detalhe de contato. Os códigos OTP expiram no momento indicado por
expiresAt na resposta — se o código tiver expirado antes do cliente submetê-lo, chame este endpoint novamente para enviar um novo.Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parâmetros de caminho
Customer ID
Exemplo:
"customer_f31121c389624d3697cbf3ea8830b7a4"
Corpo
application/json
Type of verification code to send
Opções disponíveis:
phone, email Exemplo:
"email"
Última modificação em 22 de junho de 2026